package cokr.xit.ens.core.repository;

import java.util.List;
import java.util.Optional;

public interface MybatisCrudSupport<T, P, ID> {

    List<T> findAll(P p);
    Optional<T> findById(ID id);
    int add(P p);
    int modify(P p);
    int remove(P p);
}
